using Volo.Abp.Domain.Repositories;

namespace BBM.ChatGLM.PromptWord
{
    public interface IPromptWordsRepository : IBasicRepository<PromptWords, Guid>
    {
        Task<PromptWords> UpdateAsync(PromptWords entity);
        Task<List<PromptWords>> PageAsync(string filter, string type, int pageSize, int pageIndex, Guid? tenantId);
        Task<long> CountAsync(string filter, string type, Guid? tenantId);
        Task<int> DeleteAsync(Guid id);
    }
}
